<?php
/** 
* Polish Language File developed by mybboard.pl for Default Profile 2.1.0
* Tłumaczenie: hippie
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0 **/ 
/*
	Default Profile Plugin
	
	Gives new users who register a default avatar, signature, profile.
	For MyBB 1.4.x.
	
	Copyright © 2006, 2008 Dennis Tsang (http://dennistt.net)
	
	==========
	LICENSE
	==========
	This plugin by Dennis Tsang is licensed under the 
	Creative Commons Attribution-No Derivative Works 2.5 Canada License
	
	Summary: http://creativecommons.org/licenses/by-nd/2.5/ca/
	Legal Code: http://creativecommons.org/licenses/by-nd/2.5/ca/legalcode.en
	
	A summary follows for convenience:
	
	You are free:
		To use the software
		To share -- to copy, distribute and transmit the work as the original whole

	Under the following conditions:
		Attribution.  You must attribute the work in the manner specified by the author or licensor (but not in any way that suggests that they endorse you or your use of the work).  All author and copyright notices must be left intact at ALL times while using the software, and in any redistributed package.
		No Derivative Works.  You may not release altered, transformed, or otherwise modified versions of this work.  However, you may modify the software for use on your forum only.  Translations must be done using external .lang.php files.
		
	- For any reuse or distribution, you must make clear to others the licence terms of this work.
	- The author's moral rights are retained in this licence.

*/

if(!defined("IN_MYBB"))
{
	die("Bezpośrednia inicjalizacja tego pliku jest zabroniona.<br /><br />Upewnij się, że IN_MYBB jest zdefiniowane.");
}

function defaultprofile_info()
{
	global $lang;
	defaultprofile_load_language();
	
	return array(
		"name"			=> "Default Profile",
		"description"	=> $lang->defaultprofile_desc,
		"website"		=> "http://www.dennistt.net",
		"author"		=> "DennisTT",
		"authorsite"	=> "http://www.dennistt.net",
		"version"		=> "2.1.0",
		"guid"			  => "",
		"compatibility"   => "14*",
		
		// DennisTT custom info
		"codename" => 'defaultprofile',
	);
}

// Helper function to load the language variables
function defaultprofile_load_language()
{
	global $lang;
	if(!defined('DENNISTT_DEFAULTPROFILE_LANG_LOADED'))
	{
		$lang->load('defaultprofile', false, true);
		
		if(!isset($lang->defaultprofile))
		{
			$lang->defaultprofile = 'Domyślny profil';
			$lang->defaultprofile_desc = 'Daje nowozarejestrowanym użytkownikom domyślny awatar, sygnaturę i opcje w profilu. Dla MyBB 1.4.x.';
			
		}
		
		define('DENNISTT_DEFAULTPROFILE_LANG_LOADED', 1);
	}
}

function defaultprofile_activate()
{
	global $db;
	$info = defaultprofile_info();
	
	// Remove old plugin stuff
	defaultprofile_deactivate();

	$setting_group_array = array(
		'name' => str_replace(' ', '_', 'dennistt_'.strtolower($info['codename'])),
		'title' => "$info[name] (DennisTT)",
		'description' => "Ustawienia dla wtyczki $info[name]",
		'disporder' => 1,
		'isdefault' => '0',
		);
	$db->insert_query('settinggroups', $setting_group_array);
	$group = $db->insert_id();

	$settings = array(
		'defaultprofile_avatar' => array('URL Awatara', 'URL do domyślnego awatara (np. images/avatars/php.gif albo http://anothersite.com/someimage.gif).', 'text', './images/avatars/php.gif'),
		'defaultprofile_signature' => array('Sygnatura', 'To będzie domyślna sygnatura użytkownika.<br /><br />Kody będą zamienione następująco:<br />{username} - nazwa użytkownika<br />{regdate} - data rejestracji<br />{bbname} - nazwa forum', 'textarea', '{username}, jest dumnym użytkownikiem {bbname} od {regdate}.'),
		'defaultprofile_additionalgroups' => array('Dodatkowe grupy użytkowników', 'Jakiekolwiek ID dodatkowych grup użytkowników, do których powinien należeć użytkownik (rozdzielone przecinkami).', 'text', ''),
		'defaultprofile_website' => array('URL strony domowej', 'URL strony domowej domyślnego profilu.', 'text', ''),
		'defaultprofile_remember' => array('Pamiętaj login', 'Pamiętaj status loginu, kiedy użytkownik po raz kolejny odwiedza forum?', 'yesno', '1'),
		'defaultprofile_showsigs' => array('Pokazuj sygnaturę', 'Pokazywać sygnaturę w postach?', 'yesno', '1'),
		'defaultprofile_showavatars' => array('Pokazuj avatar', 'Pokazywać awatar w postach?', 'yesno', '1'),
		'defaultprofile_showquickreply' => array('Pokazuj szybką odpowiedź', 'Pokazywać szybką odpowiedź w tematach?', 'yesno', '0'),
		'defaultprofile_showredirect' => array('Pokazuj przekierowania', 'Pokazywać przyjazne przekierowania?', 'yesno', '1'),
		'defaultprofile_tpp' => array('Tematów na stronę', 'Liczba tematów pokazywanych na stronę.  Wpisz zero \'0\' dla ustawień forum.', 'text', '0'),
		'defaultprofile_ppp' => array('Postów na stronę', 'Liczba postów pokazywanych na stronę.  Wpisz zero \'0\' dla ustawień forum.', 'text', '0'),
		'defaultprofile_style' => array('Wybór stylu', 'ID stylu jaki ma używać użytkownik.  Wpisz zero \'0\' dla ustawień forum.', 'text', '0'),
		'defaultprofile_threadmode' => array('Tryb wyświetlania "drzewo"?', 'Wybierz \'yes\', by użyć trybu wyświetlania "drzewo".  Wybierz \'no\', by użyć standardowego wyświetlania.', 'yesno', '0'),
		'defaultprofile_daysprune' => array('Limit wyświetlania tematów', 'Pokazuj tematy z X dni i późniejsze.  Wpisz zero \'0\' dla ustawień forum. Wpisz \'all\', by wyświetlać wszystkie posty, niezależnie od daty', 'text', 'all'),
		'defaultprofile_notepad' => array('Notatnik użytkownika', 'Zawartość notatnika', 'textarea', ''),
		'defaultprofile_classicpostbit' => array('Użyj klasycznego stylu wyświetlania postów?', 'Klasyczny styl wyświetlania postów to pionowy', 'yesno', '0'),
		);

	$i = 1;
	foreach($settings as $name => $sinfo)
	{
		$insert_array = array(
			'name' => $name,
			'title' => $db->escape_string($sinfo[0]),
			'description' => $db->escape_string($sinfo[1]),
			'optionscode' => $db->escape_string($sinfo[2]),
			'value' => $db->escape_string($sinfo[3]),
			'gid' => $group,
			'disporder' => $i,
			'isdefault' => 0,
			);
		$db->insert_query('settings', $insert_array);
		$i++;
	}
	rebuild_settings();
}

function defaultprofile_deactivate()
{
	global $db;
	$info = defaultprofile_info();
	$result = $db->simple_select('settinggroups', 'gid', "name = '".str_replace(' ', '_', 'dennistt_'.strtolower($info['codename']))."'", array('limit' => 1));
	$group = $db->fetch_array($result);
	
	if(!empty($group['gid']))
	{
		$db->delete_query('settinggroups', "gid='{$group['gid']}'");
		$db->delete_query('settings', "gid='{$group['gid']}'");
		rebuild_settings();
	}
}

$plugins->add_hook("member_do_register_start", "defaultprofile_register_start");
function defaultprofile_register_start()
{
	define('DEFAULTPROFILE_REGISTERING', true);
}

$plugins->add_hook("datahandler_user_insert", "defaultprofile_insert");
function defaultprofile_insert($user)
{
	global $db, $mybb;
	if(defined('DEFAULTPROFILE_REGISTERING'))
	{
		if(!empty($mybb->settings['defaultprofile_avatar']))
		{
			$user->user_insert_data['avatar'] = $db->escape_string($mybb->settings['defaultprofile_avatar']);
			$user->user_insert_data['avatartype'] = 'remote';
		}
		if(!empty($mybb->settings['defaultprofile_signature']))
		{
			$default_signature = $mybb->settings['defaultprofile_signature'];
			$default_signature = str_replace("{username}", $user->user_insert_data['username'], $default_signature);
			$default_signature = str_replace("{regdate}", date($mybb->settings['regdateformat'], time()), $default_signature);
			$default_signature = str_replace("{bbname}", $mybb->settings['bbname'], $default_signature);
			$user->user_insert_data['signature'] = $db->escape_string($default_signature);
		}
		if(!empty($mybb->settings['defaultprofile_additionalgroups']))
		{
			$user->user_insert_data['additionalgroups'] = $db->escape_string($mybb->settings['defaultprofile_additionalgroups']);
		}
		if(!empty($mybb->settings['defaultprofile_website']))
		{
			$user->user_insert_data['website'] = $db->escape_string($mybb->settings['defaultprofile_website']);
		}
		if($mybb->settings['defaultprofile_remember'] == 1)
		{
			$user->user_insert_data['remember'] = 1;
		}
		else
		{
			$user->user_insert_data['remember'] = 0;
		}
		if($mybb->settings['defaultprofile_showsigs'] == 1)
		{
			$user->user_insert_data['showsigs'] = 1;
		}
		else
		{
			$user->user_insert_data['showsigs'] = 0;
		}
		if($mybb->settings['defaultprofile_showavatars'] == 1)
		{
			$user->user_insert_data['showavatars'] = 1;
		}
		else
		{
			$user->user_insert_data['showavatars'] = 0;
		}
		if($mybb->settings['defaultprofile_showquickreply'] == 1)
		{
			$user->user_insert_data['showquickreply'] = 1;
		}
		else
		{
			$user->user_insert_data['showquickreply'] = 0;
		}
		if($mybb->settings['defaultprofile_showredirect'] == 1)
		{
			$user->user_insert_data['showredirect'] = 1;
		}
		else
		{
			$user->user_insert_data['showredirect'] = 0;
		}
		if(!empty($mybb->settings['defaultprofile_tpp']))
		{
			$user->user_insert_data['tpp'] = intval($mybb->settings['defaultprofile_tpp']);
		}
		if(!empty($mybb->settings['defaultprofile_ppp']))
		{
			$user->user_insert_data['ppp'] = intval($mybb->settings['defaultprofile_ppp']);
		}
		if(!empty($mybb->settings['defaultprofile_style']))
		{
			$user->user_insert_data['style'] = intval($mybb->settings['defaultprofile_style']);
		}
		if($mybb->settings['defaultprofile_threadmode'] == 'yes')
		{
			$user->user_insert_data['threadmode'] = 'threaded';
		}
		else
		{
			$user->user_insert_data['threadmode'] = 'linear';
		}
		if(!empty($mybb->settings['defaultprofile_daysprune']))
		{
			$user->user_insert_data['daysprune'] = intval($mybb->settings['defaultprofile_daysprune']);
		}
		if(!empty($mybb->settings['defaultprofile_notepad']))
		{
			$user->user_insert_data['notepad'] = $db->escape_string($mybb->settings['defaultprofile_notepad']);
		}
		if($mybb->settings['defaultprofile_classicpostbit'] == 1)
		{
			$user->user_insert_data['classicpostbit'] = 1;
		}
		else
		{
			$user->user_insert_data['classicpostbit'] = 0;
		}
	}
}
?>